package com.ruoyi.project.sems.his.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 特种设备吊装设备台账历史对象 t_spechi_dzsb
 *
 * @author ruoyi
 * @date 2021-09-02
 */
public class TSpechiDzsb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 单元 */
    @Excel(name = "单元")
    private String unit;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String devname;

    /** 设备位号 */
    @Excel(name = "设备位号")
    private String devno;

    /** 产品出厂编号 */
    @Excel(name = "产品出厂编号")
    private String factoryNo;

    /** 设备代码 */
    @Excel(name = "设备代码")
    private String devCode;

    /** 提交日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "提交日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitdate;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Long approveStatus;

    /** 注册代码 */
    @Excel(name = "注册代码")
    private String regno;

    /** 使用证编号 */
    @Excel(name = "使用证编号")
    private String useno;

    /** 上次年检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "上次年检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date warnDate;

    /** 检测周期 */
    @Excel(name = "检测周期")
    private Long warnCycle;

    /** 下次年检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次年检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextWarnDate;

    /** 预警标识 */
    @Excel(name = "预警标识")
    private Long warnFlag;

    /** 装置维修组 */
    @Excel(name = "装置维修组")
    private String plantMaint;

    /** 档案号 */
    @Excel(name = "档案号")
    private String docno;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 起吊重量 */
    @Excel(name = "起吊重量")
    private String capacity;

    /** 设备使用地点 */
    @Excel(name = "设备使用地点")
    private String location;

    /** 制造单位 */
    @Excel(name = "制造单位")
    private String createUnit;

    /** 检验策略 */
    @Excel(name = "检验策略")
    private String checkStrategy;

    /** 年度维保日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "年度维保日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date yearMaint;

    /** 报告编号 */
    @Excel(name = "报告编号")
    private String reportNo;

    /** 最新申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "最新申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** 状态修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "状态修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date changeTime;

    /** 检验单位 */
    @Excel(name = "检验单位")
    private String checkUnit;

    /** 工程师 */
    @Excel(name = "工程师")
    private String engineer;

    /** 是否防爆 */
    @Excel(name = "是否防爆")
    private String isEx;

    /** 设备id */
    @Excel(name = "设备id")
    private Long devId;

    /** 状态 */
    @Excel(name = "状态")
    private Long hiType;

    /** 定期检验结论 */
    @Excel(name = "定期检验结论")
    private String perTestConclusion;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 操作人 */
    @Excel(name = "操作人")
    private String operName;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date operTime;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private String operType;

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public Date getOperTime() {
        return operTime;
    }

    public void setOperTime(Date operTime) {
        this.operTime = operTime;
    }

    public String getOperType() {
        return operType;
    }

    public void setOperType(String operType) {
        this.operType = operType;
    }

    public String getPerTestConclusion() {
        return perTestConclusion;
    }

    public void setPerTestConclusion(String perTestConclusion) {
        this.perTestConclusion = perTestConclusion;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setDevname(String devname)
    {
        this.devname = devname;
    }

    public String getDevname()
    {
        return devname;
    }
    public void setDevno(String devno)
    {
        this.devno = devno;
    }

    public String getDevno()
    {
        return devno;
    }
    public void setSubmitdate(Date submitdate)
    {
        this.submitdate = submitdate;
    }

    public Date getSubmitdate()
    {
        return submitdate;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setRegno(String regno)
    {
        this.regno = regno;
    }

    public String getRegno()
    {
        return regno;
    }
    public void setUseno(String useno)
    {
        this.useno = useno;
    }

    public String getUseno()
    {
        return useno;
    }
    public void setWarnDate(Date warnDate)
    {
        this.warnDate = warnDate;
    }

    public Date getWarnDate()
    {
        return warnDate;
    }
    public void setWarnCycle(Long warnCycle)
    {
        this.warnCycle = warnCycle;
    }

    public Long getWarnCycle()
    {
        return warnCycle;
    }
    public void setNextWarnDate(Date nextWarnDate)
    {
        this.nextWarnDate = nextWarnDate;
    }

    public Date getNextWarnDate()
    {
        return nextWarnDate;
    }
    public void setWarnFlag(Long warnFlag)
    {
        this.warnFlag = warnFlag;
    }

    public Long getWarnFlag()
    {
        return warnFlag;
    }
    public void setPlantMaint(String plantMaint)
    {
        this.plantMaint = plantMaint;
    }

    public String getPlantMaint()
    {
        return plantMaint;
    }
    public void setDocno(String docno)
    {
        this.docno = docno;
    }

    public String getDocno()
    {
        return docno;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setCapacity(String capacity)
    {
        this.capacity = capacity;
    }

    public String getCapacity()
    {
        return capacity;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setCreateUnit(String createUnit)
    {
        this.createUnit = createUnit;
    }

    public String getCreateUnit()
    {
        return createUnit;
    }
    public void setCheckStrategy(String checkStrategy)
    {
        this.checkStrategy = checkStrategy;
    }

    public String getCheckStrategy()
    {
        return checkStrategy;
    }
    public void setYearMaint(Date yearMaint)
    {
        this.yearMaint = yearMaint;
    }

    public Date getYearMaint()
    {
        return yearMaint;
    }
    public void setReportNo(String reportNo)
    {
        this.reportNo = reportNo;
    }

    public String getReportNo()
    {
        return reportNo;
    }
    public void setApproveTime(Date approveTime)
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime()
    {
        return approveTime;
    }
    public void setChangeTime(Date changeTime)
    {
        this.changeTime = changeTime;
    }

    public Date getChangeTime()
    {
        return changeTime;
    }
    public void setCheckUnit(String checkUnit)
    {
        this.checkUnit = checkUnit;
    }

    public String getCheckUnit()
    {
        return checkUnit;
    }
    public void setEngineer(String engineer)
    {
        this.engineer = engineer;
    }

    public String getEngineer()
    {
        return engineer;
    }
    public void setIsEx(String isEx)
    {
        this.isEx = isEx;
    }

    public String getIsEx()
    {
        return isEx;
    }
    public void setDevId(Long devId)
    {
        this.devId = devId;
    }

    public Long getDevId()
    {
        return devId;
    }
    public void setHiType(Long hiType)
    {
        this.hiType = hiType;
    }

    public Long getHiType()
    {
        return hiType;
    }

    public String getFactoryNo() {
        return factoryNo;
    }

    public void setFactoryNo(String factoryNo) {
        this.factoryNo = factoryNo;
    }

    public String getDevCode() {
        return devCode;
    }

    public void setDevCode(String devCode) {
        this.devCode = devCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("unit", getUnit())
            .append("devname", getDevname())
            .append("devno", getDevno())
            .append("submitdate", getSubmitdate())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .append("regno", getRegno())
            .append("useno", getUseno())
            .append("warnDate", getWarnDate())
            .append("warnCycle", getWarnCycle())
            .append("nextWarnDate", getNextWarnDate())
            .append("warnFlag", getWarnFlag())
            .append("plantMaint", getPlantMaint())
            .append("docno", getDocno())
            .append("model", getModel())
            .append("capacity", getCapacity())
            .append("location", getLocation())
            .append("createUnit", getCreateUnit())
            .append("checkStrategy", getCheckStrategy())
            .append("yearMaint", getYearMaint())
            .append("reportNo", getReportNo())
            .append("approveTime", getApproveTime())
            .append("changeTime", getChangeTime())
            .append("checkUnit", getCheckUnit())
            .append("engineer", getEngineer())
            .append("isEx", getIsEx())
            .append("devId", getDevId())
            .append("hiType", getHiType())
            .toString();
    }
}
